package com.shopingCardSystem.Service;

import java.util.List;
import com.shopingCardSystem.Model.Cart;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;
import com.shopingCardSystem.Repository.CartRepository;
import org.springframework.beans.factory.annotation.Autowired;

@Component
@Service
public class CartServiceImpl implements  CartService{

    @Autowired
    private CartRepository cartRepository;

    @Override
    public List<Cart> getAllItems() {
       List <Cart> list = (List<Cart>) this.cartRepository.findAll();
       return  list;
    }

    @Override
    public Cart getCartgetById(int cartId) {
        Cart cart = null;
         cart= cartRepository.findById(cartId);
         return cart;
    }

    @Override
    public Cart addCart(Cart cart) {
   cartRepository.save(cart);
   return cart;

    }

    @Override
    public Cart updateCartById(Cart cart, int cartId) {
      cart.setCartId(cartId);
      cartRepository.save(cart);
      return cart;
    }

    @Override
    public void deleteCardById(int cartId) {
        cartRepository.deleteById(cartId);
    }
}
